# DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Enum DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase

- java.lang.Object
- - java.lang.Enum<DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase>
  - - io.dapr.v1.DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `Serializable`, `Comparable<DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase>`

Enclosing class:
  DaprAppCallbackProtos.TopicEventBulkRequestEntry

    public static enum DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase
    extends Enum<DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase>
    implements com.google.protobuf.Internal.EnumLite

### Enum Constant Summary

Enum Constants
`BYTES`
`CLOUD_EVENT`
`EVENT_NOT_SET`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase` `forNumber​(int value)`
`int` `getNumber()`
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase` `valueOf​(int value)` Deprecated.
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BYTES

    public static final DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase BYTES

#### CLOUD_EVENT

    public static final DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase CLOUD_EVENT

#### EVENT_NOT_SET

    public static final DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase EVENT_NOT_SET

### Method Detail

#### values

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase c : DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### valueOf

    @Deprecated
    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase valueOf​(int value)

Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### forNumber

    public static DaprAppCallbackProtos.TopicEventBulkRequestEntry.EventCase forNumber​(int value)

#### getNumber

    public int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`